<template>
  <p>You have pressed {{ count }} times</p>
  <Button v-bind:text="text" @clicked="handleClicked"></Button>
</template>

<script>
import Button from "@/components/Button";
export default {
  name: "Component1",
  components : { Button },
  props: {
    count: Number
  },
  data: () => ({
    text: ""
  }),
  created () {
    this.text = "Press me now!";
  },
  methods: {
    handleClicked () {
      let count = this.count;
      this.$emit('update:count', count + 1);

      if (count >= 10) {
        this.text = "It's enough!";
      }
    }
  }
}
</script>
